## python-oslo.rootwrap 2.3.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

six>=1.9.0

=== debian/changelog ===
python-oslo.rootwrap (2.3.0-1~cloud0) trusty-liberty; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 29 Sep 2015 05:08:51 +0000

python-oslo.rootwrap (2.3.0-1) experimental; urgency=medium

  [ James Page ]
  * Update Vcs fields for new git repository locations.
  * Fix typo in transitional package descriptions (LP: #1471561).

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Do not a run test failing in Python 3.4:
    test_rootwrap.RootwrapTestCase.test_KillFilter_renamed_exe
  * python-oslo-rootwrap (transition package) in priority extra.

 -- Thomas Goirand <zigo@debian.org>  Sun, 27 Sep 2015 18:45:12 +0200

python-oslo.rootwrap (2.0.0-2) experimental; urgency=medium

  * Using update-alternatives to handle /usr/bin/oslo-rootwrap using either
    Python 2 or 3 (Closes: #788847).
  * Updated debian/watch file to use github tags instead of PyPi.
  * Updated Homepage: in d/rules and Source: in d/copyright.

 -- Thomas Goirand <zigo@debian.org>  Mon, 15 Jun 2015 14:59:45 +0000

python-oslo.rootwrap (2.0.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release:
    - d/control: Align dependency version requirements with upstream.
  * Rename package to python-oslo.rootwrap.
  * Re-align with Ubuntu:
    - d/control: Add Breaks/Replaces and transitional package for
      python-oslo-rootwrap in Ubuntu.

 -- James Page <jamespage@debian.org>  Wed, 10 Jun 2015 11:21:07 +0100

oslo.rootwrap (1.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Feb 2015 12:03:20 +0100

oslo.rootwrap (1.3.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Oct 2014 12:22:40 +0000

oslo.rootwrap (1.3.0.0~a3-1) experimental; urgency=medium

  * New upstream release.
  * Uploading to experimental just right before the Jessie freeze.
  * Fixed (build-)depends.
  * Do not run the unit tests using Python 2.6.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Sep 2014 00:14:28 +0800

oslo.rootwrap (1.2.0-2) unstable; urgency=medium

  * Fixed wrong VCS URLs.
  * Added Python 3 support.
  * Runs unit tests on build, build-conflicts with other python-osolo.*
    packages which are on the same namespace, and then preventing from doing
    "import oslo.rootwrap" from the current dir.

 -- Thomas Goirand <zigo@debian.org>  Sun, 03 Aug 2014 14:45:45 +0000

oslo.rootwrap (1.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Using testr / subunit correctly.
  * Removed Debian patch (applied upstream).
  * Now depends on sudo (Closes: #746501). Thanks to Benedikt Trefzer
    <benedikt.trefzer@cirrax.com> for the bug report.

 -- Thomas Goirand <zigo@debian.org>  Thu, 01 May 2014 16:35:22 +0800

oslo.rootwrap (1.0.0-2) unstable; urgency=medium

  * Fixes unit tests by cherry-picking a commit upstream.

 -- Thomas Goirand <zigo@debian.org>  Fri, 24 Jan 2014 14:30:17 +0000

oslo.rootwrap (1.0.0-1) unstable; urgency=low

  * Initial release. (Closes: #736485)

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 Dec 2013 15:46:09 +0800

=== debian/control ===
Source: python-oslo.rootwrap
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: iproute2,
                     python-eventlet (>= 0.17.3),
                     python-fixtures (>= 1.3.1),
                     python-hacking (>= 0.10.0),
                     python-mock,
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-six (>= 1.9.0),
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python3-fixtures (>= 1.3.1),
                     python3-mock,
                     python3-oslotest (>= 1.10.0),
                     python3-six (>= 1.9.0),
                     python3-subunit,
                     python3-testscenarios,
                     python3-testtools (>= 1.4.0),
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-oslo.rootwrap.git
Vcs-Git: git://anonscm.debian.org/openstack/python-oslo.rootwrap.git
Homepage: https://github.com/openstack/oslo.rootwrap

Package: python-oslo.rootwrap
Architecture: all
Depends: python-six (>= 1.9.0),
         sudo,
         ${misc:Depends},
         ${python:Depends},
Provides: python-oslo-rootwrap,
Breaks: python-oslo-rootwrap (<< 2.0.0-1~)
Replaces: python-oslo-rootwrap (<< 2.0.0-1~)
Description: allows fine filtering of shell commands to run as root - Python 2.x
 The Oslo Rootwrap allows fine filtering of shell commands to run as root from
 OpenStack services.
 .
 Unlike other Oslo deliverables, it should not be used as a Python library, but
 called as a separate process through the oslo-rootwrap command.
 .
 This package provides the Python 2.x module.

Package: python3-oslo.rootwrap
Architecture: all
Depends: python3-six (>= 1.9.0),
         sudo,
         ${misc:Depends},
         ${python3:Depends},
Provides: python3-oslo-rootwrap,
Description: allows fine filtering of shell commands to run as root - Python 3.x
 The Oslo Rootwrap allows fine filtering of shell commands to run as root from
 OpenStack services.
 .
 Unlike other Oslo deliverables, it should not be used as a Python library, but
 called as a separate process through the oslo-rootwrap command.
 .
 This package provides the Python 3.x module.

Package: python-oslo-rootwrap
Section: oldlibs
Priority: extra
Architecture: all
Depends: python-oslo.rootwrap,
         ${misc:Depends},
Description: transitional dummy package for python-oslo-rootwrap
 This transitional package is safe to remove.

## python-oslo.rootwrap 4.1.0

=== debian/changelog ===
python-oslo.rootwrap (4.1.0-3+4~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Sat, 03 Sep 2016 20:40:57 +0000

python-oslo.rootwrap (4.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 10:15:45 +0000

python-oslo.rootwrap (4.1.0-1) experimental; urgency=medium

  [ Corey Bryant ]
  * New upstream release.

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * New upstream release.
  * Standards-Version: 3.9.7 (no change).
  * Fixed (build-)depends for this release.
  * Fixed debian/copyright ordering.

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Mar 2016 02:16:02 +0000

python-oslo.rootwrap (3.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Jan 2016 08:52:04 +0000

python-oslo.rootwrap (3.0.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 01 Dec 2015 11:49:33 +0100

python-oslo.rootwrap (2.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2015 20:33:43 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                python3-pbr (>= 1.8),
                python3-setuptools,
 Build-Depends-Indep: iproute2,
-                     python-eventlet (>= 0.17.3),
+                     python-eventlet (>= 0.18.4),
                      python-fixtures (>= 1.3.1),
                      python-hacking (>= 0.10.0),
                      python-mock,
@@ -23,6 +23,7 @@
                      python-six (>= 1.9.0),
                      python-testscenarios,
                      python-testtools (>= 1.4.0),
+                     python3-eventlet (>= 0.18.4),
                      python3-fixtures (>= 1.3.1),
                      python3-mock,
                      python3-oslotest (>= 1.10.0),
@@ -32,9 +33,9 @@
                      python3-testtools (>= 1.4.0),
                      subunit,
                      testrepository,
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-oslo.rootwrap.git
-Vcs-Git: git://anonscm.debian.org/openstack/python-oslo.rootwrap.git
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-oslo.rootwrap.git/
+Vcs-Git: https://anonscm.debian.org/git/openstack/python-oslo.rootwrap.git
 Homepage: https://github.com/openstack/oslo.rootwrap
 
 Package: python-oslo.rootwrap

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT := https://github.com/openstack/oslo.rootwrap.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-oslo.rootwrap; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-oslo.rootwrap; \
	done
	rm -f $(CURDIR)/debian/python*-oslo.rootwrap/usr/lib/python*/dist-packages/*.pth
	mv $(CURDIR)/debian/python-oslo.rootwrap/usr/bin/oslo-rootwrap $(CURDIR)/debian/python-oslo.rootwrap/usr/bin/python2-oslo-rootwrap
	mv $(CURDIR)/debian/python3-oslo.rootwrap/usr/bin/oslo-rootwrap $(CURDIR)/debian/python3-oslo.rootwrap/usr/bin/python3-oslo-rootwrap
	mv $(CURDIR)/debian/python-oslo.rootwrap/usr/bin/oslo-rootwrap-daemon $(CURDIR)/debian/python-oslo.rootwrap/usr/bin/python2-oslo-rootwrap-daemon
	mv $(CURDIR)/debian/python3-oslo.rootwrap/usr/bin/oslo-rootwrap-daemon $(CURDIR)/debian/python3-oslo.rootwrap/usr/bin/python3-oslo-rootwrap-daemon

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf .testrepository build

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -ex && for i in 2.7 $(PYTHON3S) ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` && \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr run --subunit 'oslo_rootwrap\.tests\.(?!.*test_rootwrap.RootwrapTestCase.test_KillFilter_renamed_exe.*|.*test_RootwrapConfig.*|.*RootwrapDaemonTest.*)' | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr slowest ; \
	done
endif

## python-oslo.rootwrap 5.1.0

=== requirements.txt ===
--- 
+++ 
@@ -2,4 +2,4 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 
-six>=1.9.0
+six>=1.9.0 # MIT

=== debian/changelog ===
python-oslo.rootwrap (5.1.0-3+1~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Sun, 26 Feb 2017 22:50:39 +0000

python-oslo.rootwrap (5.1.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Fixed oslotest EPOCH.

 -- Ondřej Nový <onovy@debian.org>  Mon, 26 Sep 2016 19:13:10 +0200

python-oslo.rootwrap (5.1.0-1) experimental; urgency=medium

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

  [ Thomas Goirand ]
  * Using OpenStack's Gerrit VCS URLs.

 -- Thomas Goirand <zigo@debian.org>  Mon, 12 Sep 2016 12:52:27 +0200

python-oslo.rootwrap (4.3.0-1) experimental; urgency=medium

  [ David Della Vecchia ]
  * New upstream release.
  * d/control: Align (build-)depends with upstream.

  [ Thomas Goirand ]
  * Drop python-oslo-rootwrap, now useless after Xenial is released.
  * Switch to pkgos-dh_auto_{install,test}.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Jul 2016 21:28:41 +0200

python-oslo.rootwrap (4.2.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Corey Bryant ]
  * New upstream release.
  * d/gbp.conf: Update branch for Newton.

  [ Thomas Goirand ]
  * Added Corey Bryant <corey.bryant@canonical.com> in Uploaders:.

 -- Thomas Goirand <zigo@debian.org>  Sun, 05 Jun 2016 15:21:34 +0000

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,11 @@
 Priority: optional
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
-Build-Depends: debhelper (>= 9),
+           Corey Bryant <corey.bryant@canonical.com>,
+           David Della Vecchia <ddv@canonical.com>,
+Build-Depends: debhelper (>= 10),
                dh-python,
-               openstack-pkg-tools,
+               openstack-pkg-tools (>= 52~),
                python-all,
                python-pbr (>= 1.8),
                python-setuptools,
@@ -15,18 +17,18 @@
                python3-setuptools,
 Build-Depends-Indep: iproute2,
                      python-eventlet (>= 0.18.4),
-                     python-fixtures (>= 1.3.1),
+                     python-fixtures (>= 3.0.0),
                      python-hacking (>= 0.10.0),
                      python-mock,
                      python-oslosphinx (>= 2.5.0),
-                     python-oslotest (>= 1.10.0),
+                     python-oslotest (>= 1:1.10.0),
                      python-six (>= 1.9.0),
                      python-testscenarios,
                      python-testtools (>= 1.4.0),
                      python3-eventlet (>= 0.18.4),
-                     python3-fixtures (>= 1.3.1),
+                     python3-fixtures (>= 3.0.0),
                      python3-mock,
-                     python3-oslotest (>= 1.10.0),
+                     python3-oslotest (>= 1:1.10.0),
                      python3-six (>= 1.9.0),
                      python3-subunit,
                      python3-testscenarios,
@@ -34,8 +36,8 @@
                      subunit,
                      testrepository,
 Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-oslo.rootwrap.git/
-Vcs-Git: https://anonscm.debian.org/git/openstack/python-oslo.rootwrap.git
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-oslo.rootwrap?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-python-oslo.rootwrap -b debian/newton
 Homepage: https://github.com/openstack/oslo.rootwrap
 
 Package: python-oslo.rootwrap
@@ -71,12 +73,3 @@
  called as a separate process through the oslo-rootwrap command.
  .
  This package provides the Python 3.x module.
-
-Package: python-oslo-rootwrap
-Section: oldlibs
-Priority: extra
-Architecture: all
-Depends: python-oslo.rootwrap,
-         ${misc:Depends},
-Description: transitional dummy package for python-oslo-rootwrap
- This transitional package is safe to remove.

## python-oslo.rootwrap 5.4.0

=== debian/changelog ===
python-oslo.rootwrap (5.4.0-0ubuntu1) zesty; urgency=medium

  * New upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 19 Jan 2017 12:22:29 -0500

python-oslo.rootwrap (5.3.1-0ubuntu1) zesty; urgency=medium

  * New upstream version.
  * d/control: Align (build-)depends with upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 11 Jan 2017 09:26:57 -0500

python-oslo.rootwrap (5.3.0-0ubuntu1) zesty; urgency=medium

  * New upstream version.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 02 Dec 2016 10:39:53 -0500

python-oslo.rootwrap (5.2.0-1ubuntu1) zesty; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.

  [ Chuck Short ]
  * New upstream version.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 25 Oct 2016 14:12:03 -0400

python-oslo.rootwrap (5.1.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 15 Aug 2016 15:46:35 -0400

=== debian/control ===
Source: python-oslo.rootwrap
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Corey Bryant <corey.bryant@canonical.com>,
           David Della Vecchia <ddv@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: iproute2,
                     python-eventlet (>= 0.18.2),
                     python-fixtures (>= 3.0.0),
                     python-hacking (>= 0.10.0),
                     python-mock (>= 2.0),
                     python-oslosphinx (>= 4.7.0),
                     python-oslotest (>= 1.10.0),
                     python-six (>= 1.9.0),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python3-eventlet (>= 0.18.2),
                     python3-fixtures (>= 3.0.0),
                     python3-mock (>= 2.0),
                     python3-oslotest (>= 1.10.0),
                     python3-six (>= 1.9.0),
                     python3-subunit,
                     python3-testscenarios (>= 0.4),
                     python3-testtools (>= 1.4.0),
                     subunit,
                     testrepository
Standards-Version: 3.9.8
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.rootwrap
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.rootwrap
Homepage: https://github.com/openstack/oslo.rootwrap

Package: python-oslo.rootwrap
Architecture: all
Depends: python-six (>= 1.9.0), sudo, ${misc:Depends}, ${python:Depends}
Provides: python-oslo-rootwrap,
Breaks: python-oslo-rootwrap (<< 2.0.0-1~)
Replaces: python-oslo-rootwrap (<< 2.0.0-1~)
Description: allows fine filtering of shell commands to run as root - Python 2.x
 The Oslo Rootwrap allows fine filtering of shell commands to run as root from
 OpenStack services.
 .
 Unlike other Oslo deliverables, it should not be used as a Python library, but
 called as a separate process through the oslo-rootwrap command.
 .
 This package provides the Python 2.x module.

Package: python3-oslo.rootwrap
Architecture: all
Depends: python3-six (>= 1.9.0), sudo, ${misc:Depends}, ${python3:Depends}
Provides: python3-oslo-rootwrap,
Description: allows fine filtering of shell commands to run as root - Python 3.x
 The Oslo Rootwrap allows fine filtering of shell commands to run as root from
 OpenStack services.
 .
 Unlike other Oslo deliverables, it should not be used as a Python library, but
 called as a separate process through the oslo-rootwrap command.
 .
 This package provides the Python 3.x module.

## python-oslo.rootwrap 5.4.1

=== debian/changelog ===
python-oslo.rootwrap (5.4.1-1) unstable; urgency=medium

  * New upstream version
  * Raised debhelper ver

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 30 Oct 2017 14:17:43 +0200

python-oslo.rootwrap (4.1.0-3) UNRELEASED; urgency=medium

  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

 -- Ondřej Nový <novy@ondrej.org>  Sat, 09 Apr 2016 19:29:50 +0200

=== debian/control ===
Source: python-oslo.rootwrap
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 10),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: iproute2,
                     python-eventlet (>= 0.18.4),
                     python-fixtures (>= 3.0.0),
                     python-hacking (>= 0.10.0),
                     python-mock,
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-six (>= 1.9.0),
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python3-eventlet (>= 0.18.4),
                     python3-fixtures (>= 3.0.0),
                     python3-mock,
                     python3-oslotest (>= 1.10.0),
                     python3-six (>= 1.9.0),
                     python3-subunit,
                     python3-testscenarios,
                     python3-testtools (>= 1.4.0),
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-oslo.rootwrap.git/
Vcs-Git: https://anonscm.debian.org/git/openstack/python-oslo.rootwrap.git
Homepage: https://github.com/openstack/oslo.rootwrap

Package: python-oslo.rootwrap
Architecture: all
Depends: python-six (>= 1.9.0),
         sudo,
         ${misc:Depends},
         ${python:Depends},
Provides: python-oslo-rootwrap,
Breaks: python-oslo-rootwrap (<< 2.0.0-1~)
Replaces: python-oslo-rootwrap (<< 2.0.0-1~)
Description: allows fine filtering of shell commands to run as root - Python 2.x
 The Oslo Rootwrap allows fine filtering of shell commands to run as root from
 OpenStack services.
 .
 Unlike other Oslo deliverables, it should not be used as a Python library, but
 called as a separate process through the oslo-rootwrap command.
 .
 This package provides the Python 2.x module.

Package: python3-oslo.rootwrap
Architecture: all
Depends: python3-six (>= 1.9.0),
         sudo,
         ${misc:Depends},
         ${python3:Depends},
Provides: python3-oslo-rootwrap,
Description: allows fine filtering of shell commands to run as root - Python 3.x
 The Oslo Rootwrap allows fine filtering of shell commands to run as root from
 OpenStack services.
 .
 Unlike other Oslo deliverables, it should not be used as a Python library, but
 called as a separate process through the oslo-rootwrap command.
 .
 This package provides the Python 3.x module.

Package: python-oslo-rootwrap
Section: oldlibs
Priority: extra
Architecture: all
Depends: python-oslo.rootwrap,
         ${misc:Depends},
Description: transitional dummy package for python-oslo-rootwrap
 This transitional package is safe to remove.

## python-oslo.rootwrap 5.9.0

=== debian/changelog ===
python-oslo.rootwrap (5.9.0-0ubuntu1~cloud0) xenial-pike; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 16 Aug 2017 16:45:00 +0000

python-oslo.rootwrap (5.9.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.
  * d/p/enable-tests-for-py36.patch: Fix tests for py36.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 11 Aug 2017 18:20:32 -0400

python-oslo.rootwrap (5.7.0-0ubuntu1) artful; urgency=medium

  [ Chuck Short ]
  * New upstream release.
  * d/control: Align (build-)depends with upstream.

  [ James Page ]
  * d/watch: Use tarballs.openstack.org.
  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Fri, 21 Apr 2017 10:04:25 +0100

=== debian/control ===
Source: python-oslo.rootwrap
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Corey Bryant <corey.bryant@canonical.com>,
           David Della Vecchia <ddv@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-pbr (>= 2.0.0),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 2.0.0),
               python3-setuptools,
Build-Depends-Indep: iproute2,
                     python-eventlet (>= 0.18.2),
                     python-fixtures (>= 3.0.0),
                     python-mock (>= 2.0),
                     python-openstackdocstheme (>= 1.11.0),
                     python-oslotest (>= 1.10.0),
                     python-six (>= 1.9.0),
                     python-testrepository (>= 0.0.18),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python3-eventlet (>= 0.18.2),
                     python3-fixtures (>= 3.0.0),
                     python3-mock (>= 2.0),
                     python3-openstackdocstheme (>= 1.11.0),
                     python3-oslotest (>= 1.10.0),
                     python3-six (>= 1.9.0),
                     python3-subunit,
                     python3-testrepository (>= 0.0.18),
                     python3-testscenarios (>= 0.4),
                     python3-testtools (>= 1.4.0),
                     subunit,
                     testrepository
Standards-Version: 3.9.8
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.rootwrap
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.rootwrap
Homepage: https://github.com/openstack/oslo.rootwrap

Package: python-oslo.rootwrap
Architecture: all
Depends: python-six (>= 1.9.0), sudo, ${misc:Depends}, ${python:Depends}
Provides: python-oslo-rootwrap,
Breaks: python-oslo-rootwrap (<< 2.0.0-1~)
Replaces: python-oslo-rootwrap (<< 2.0.0-1~)
Description: allows fine filtering of shell commands to run as root - Python 2.x
 The Oslo Rootwrap allows fine filtering of shell commands to run as root from
 OpenStack services.
 .
 Unlike other Oslo deliverables, it should not be used as a Python library, but
 called as a separate process through the oslo-rootwrap command.
 .
 This package provides the Python 2.x module.

Package: python3-oslo.rootwrap
Architecture: all
Depends: python3-six (>= 1.9.0), sudo, ${misc:Depends}, ${python3:Depends}
Provides: python3-oslo-rootwrap,
Description: allows fine filtering of shell commands to run as root - Python 3.x
 The Oslo Rootwrap allows fine filtering of shell commands to run as root from
 OpenStack services.
 .
 Unlike other Oslo deliverables, it should not be used as a Python library, but
 called as a separate process through the oslo-rootwrap command.
 .
 This package provides the Python 3.x module.

## python-oslo.rootwrap 5.13.0

=== requirements.txt ===
--- 
+++ 
@@ -2,4 +2,4 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 
-six>=1.9.0 # MIT
+six>=1.10.0 # MIT

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
# These are needed for docs generation
openstackdocstheme>=1.17.0 # Apache-2.0
sphinx>=1.6.2 # BSD
reno>=2.5.0 # Apache-2.0

mock>=2.0.0 # BSD
fixtures>=3.0.0 # Apache-2.0/BSD

=== debian/changelog ===
python-oslo.rootwrap (5.13.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.

 -- James Page <james.page@ubuntu.com>  Fri, 26 Jan 2018 10:48:48 +0000

python-oslo.rootwrap (5.12.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Bumped Standards-Version to 4.1.2.
  * d/p/drop-openstackdoctheme.patch: Drop, no longer required.

 -- James Page <james.page@ubuntu.com>  Fri, 08 Dec 2017 11:23:23 +0000

python-oslo.rootwrap (5.10.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (build-)depends with upstream.
  * d/p/enable-tests-for-py36.patch: Dropped, included upstream.

 -- James Page <james.page@ubuntu.com>  Mon, 13 Nov 2017 17:07:21 +0000

=== debian/control ===
Source: python-oslo.rootwrap
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 debhelper (>= 9),
 dh-python,
 openstack-pkg-tools (>= 52~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
Build-Depends-Indep:
 iproute2,
 python-eventlet (>= 0.18.2),
 python-fixtures (>= 3.0.0),
 python-mock (>= 2.0.0),
 python-openstackdocstheme (>= 1.17.0),
 python-oslotest (>= 1.10.0),
 python-six (>= 1.10.0),
 python-testrepository (>= 0.0.18),
 python-testscenarios (>= 0.4),
 python-testtools (>= 2.2.0),
 python3-eventlet (>= 0.18.2),
 python3-fixtures (>= 3.0.0),
 python3-mock (>= 2.0.0),
 python3-openstackdocstheme (>= 1.17.0),
 python3-oslotest (>= 1.10.0),
 python3-six (>= 1.10.0),
 python3-subunit (>= 1.0.0),
 python3-testrepository (>= 0.0.18),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 subunit,
 testrepository,
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.rootwrap
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.rootwrap
Homepage: https://github.com/openstack/oslo.rootwrap

Package: python-oslo.rootwrap
Architecture: all
Depends:
 python-six (>= 1.10.0),
 sudo,
 ${misc:Depends},
 ${python:Depends},
Provides:
 python-oslo-rootwrap,
Breaks:
 python-oslo-rootwrap (<< 2.0.0-1~),
Replaces:
 python-oslo-rootwrap (<< 2.0.0-1~),
Description: allows fine filtering of shell commands to run as root - Python 2.x
 The Oslo Rootwrap allows fine filtering of shell commands to run as root from
 OpenStack services.
 .
 Unlike other Oslo deliverables, it should not be used as a Python library, but
 called as a separate process through the oslo-rootwrap command.
 .
 This package provides the Python 2.x module.

Package: python3-oslo.rootwrap
Architecture: all
Depends:
 python3-six (>= 1.10.0),
 sudo,
 ${misc:Depends},
 ${python3:Depends},
Provides:
 python3-oslo-rootwrap,
Description: allows fine filtering of shell commands to run as root - Python 3.x
 The Oslo Rootwrap allows fine filtering of shell commands to run as root from
 OpenStack services.
 .
 Unlike other Oslo deliverables, it should not be used as a Python library, but
 called as a separate process through the oslo-rootwrap command.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/oslo.rootwrap.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf .testrepository build

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test 'oslo_rootwrap\.tests\.(?!.*test_rootwrap.RootwrapTestCase.test_KillFilter_renamed_exe.*|.*test_RootwrapConfig.*|.*RootwrapDaemonTest.*)'
endif

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-oslo.rootwrap 5.14.1

=== debian/changelog ===
python-oslo.rootwrap (5.14.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Sep 2018 23:16:44 +0200

python-oslo.rootwrap (5.14.1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 20 Aug 2018 11:36:52 +0200

python-oslo.rootwrap (5.13.0-3) unstable; urgency=medium

  * Fixed Python 3 shebang.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Mar 2018 18:55:28 +0000

python-oslo.rootwrap (5.13.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 21:27:00 +0000

python-oslo.rootwrap (5.13.0-1) experimental; urgency=medium

  * Set VCS URLs to point to salsa.
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Remove python-3.6-fix.patch, applied upstream.
  * Standards-Version is now 4.1.3.
  * Using debhelper 10.

 -- Thomas Goirand <zigo@debian.org>  Sun, 11 Feb 2018 12:41:13 +0000

python-oslo.rootwrap (5.9.0-2) unstable; urgency=medium

  * Uploading to unstable:
    - Fix FTBFS with Python 3.6 (Closes: #867632).

 -- Thomas Goirand <zigo@debian.org>  Sat, 28 Oct 2017 17:03:19 +0000

python-oslo.rootwrap (5.9.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Updating standards version to 4.0.1.
  * Deprecating priority extra as per policy 4.0.1.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed now useless transition packages.
  * Add patch for Python 3.6.
  * Using pkgos-dh_auto_install.

  [ Daniel Baumann ]
  * Updating standards version to 4.1.0.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Aug 2017 00:46:29 +0000

=== debian/control ===
Source: python-oslo.rootwrap
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 iproute2,
 python-eventlet,
 python-fixtures,
 python-hacking,
 python-mock,
 python-oslotest (>= 1:3.2.0),
 python-six,
 python-testtools (>= 2.2.0),
 python3-eventlet,
 python3-fixtures,
 python3-mock,
 python3-openstackdocstheme (>= 1.18.1),
 python3-oslotest (>= 1:3.2.0),
 python3-six,
 python3-subunit,
 python3-testtools (>= 2.2.0),
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.rootwrap.git
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.rootwrap.git
Homepage: https://github.com/openstack/oslo.rootwrap

Package: python-oslo.rootwrap
Architecture: all
Depends:
 python-pbr (>= 2.0.0),
 python-six,
 sudo,
 ${misc:Depends},
 ${python:Depends},
Description: allows fine filtering of shell commands to run as root - Python 2.x
 The Oslo Rootwrap allows fine filtering of shell commands to run as root from
 OpenStack services.
 .
 Unlike other Oslo deliverables, it should not be used as a Python library, but
 called as a separate process through the oslo-rootwrap command.
 .
 This package provides the Python 2.x module.

Package: python3-oslo.rootwrap
Architecture: all
Depends:
 python3-pbr (>= 2.0.0),
 python3-six,
 sudo,
 ${misc:Depends},
 ${python3:Depends},
Description: allows fine filtering of shell commands to run as root - Python 3.x
 The Oslo Rootwrap allows fine filtering of shell commands to run as root from
 OpenStack services.
 .
 Unlike other Oslo deliverables, it should not be used as a Python library, but
 called as a separate process through the oslo-rootwrap command.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/oslo.rootwrap.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf .testrepository build

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -ex && for i in 2.7 $(PYTHON3S) ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` && \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr run --subunit 'oslo_rootwrap\.tests\.(?!.*test_rootwrap.RootwrapTestCase.test_KillFilter_renamed_exe.*|.*test_RootwrapConfig.*|.*RootwrapDaemonTest.*)' | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr slowest ; \
	done
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## python-oslo.rootwrap 5.15.2

=== debian/changelog ===
python-oslo.rootwrap (5.15.2-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 01:12:51 +0200

python-oslo.rootwrap (5.15.2-2) experimental; urgency=medium

  * Do not install alternatives.

 -- Thomas Goirand <zigo@debian.org>  Tue, 26 Mar 2019 22:42:19 +0100

python-oslo.rootwrap (5.15.2-1) experimental; urgency=medium

  * New upstream release.
  * Removed Python 2 support.
  * Removed do-not-run-toplevel-tests.patch, not revelant anymore since the
    move to stestr.
  * Do not run functional tests.

 -- Thomas Goirand <zigo@debian.org>  Fri, 22 Mar 2019 09:44:34 +0100

=== debian/control ===
Source: python-oslo.rootwrap
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 iproute2,
 python3-hacking,
 python3-eventlet,
 python3-fixtures,
 python3-mock,
 python3-openstackdocstheme,
 python3-oslotest,
 python3-six,
 python3-subunit,
 python3-stestr,
 python3-testtools,
 subunit,
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.rootwrap
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.rootwrap.git
Homepage: https://github.com/openstack/oslo.rootwrap

Package: python3-oslo.rootwrap
Architecture: all
Depends:
 python3-pbr,
 python3-six,
 sudo,
 ${misc:Depends},
 ${python3:Depends},
Description: allows fine filtering of shell commands to run as root - Python 3.x
 The Oslo Rootwrap allows fine filtering of shell commands to run as root from
 OpenStack services.
 .
 Unlike other Oslo deliverables, it should not be used as a Python library, but
 called as a separate process through the oslo-rootwrap command.
 .
 This package provides the Python 3.x module.

## python-oslo.rootwrap 5.16.1

=== debian/changelog ===
python-oslo.rootwrap (5.16.1-0ubuntu1~cloud0) bionic-train; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 25 Sep 2019 21:31:35 +0000

python-oslo.rootwrap (5.16.1-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 25 Sep 2019 16:56:57 -0400

python-oslo.rootwrap (5.16.0-0ubuntu2) eoan; urgency=medium

  * d/control, d/tests/*: Restore python-import test and drop
    autopkgtest-pkg-python as it does not work with oslo packages.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 21 Jun 2019 10:20:45 -0400

python-oslo.rootwrap (5.16.0-0ubuntu1) eoan; urgency=medium

  * Merge from Debian experimental.  Remaining changes:
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/watch: Use upstream release tarballs.
  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 07 Jun 2019 11:50:54 -0400

python-oslo.rootwrap (5.15.2-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Mar 2019 16:04:37 +0000

python-oslo.rootwrap (5.15.1-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Switch to using stestr for unit tests.
  * d/p/*: Drop, included upstream.
  * d/control: Switch to using python3-sphinx.

 -- James Page <james.page@ubuntu.com>  Wed, 30 Jan 2019 14:24:32 +0000

python-oslo.rootwrap (5.14.1-0ubuntu2) disco; urgency=medium

  * d/python3-oslo.rootwrap.postinst: Prefer Py3 alternatives.

 -- James Page <james.page@ubuntu.com>  Tue, 20 Nov 2018 12:06:24 +0000

python-oslo.rootwrap (5.14.1-0ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/watch: Use upstream release tarballs.
    - d/control: Update Vcs-* fields.
    - d/rules: Use pkgos-dh_auto_test.
  * New upstream release for OpenStack Rocky.
  * Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 13 Jun 2018 11:11:22 +0100

=== debian/control ===
Source: python-oslo.rootwrap
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 iproute2,
 python3-bandit (>= 1.1.0),
 python3-hacking (>= 1.1.0),
 python3-eventlet (>= 0.18.2),
 python3-fixtures (>= 3.0.0),
 python3-mock (>= 2.0.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-oslotest (>= 1:3.2.0),
 python3-reno (>= 2.5.0),
 python3-six (>= 1.10.0),
 python3-subunit,
 python3-stestr (>= 2.0.0),
 python3-testtools (>= 2.2.0),
 subunit,
Standards-Version: 4.3.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.rootwrap
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.rootwrap
Homepage: https://github.com/openstack/oslo.rootwrap

Package: python3-oslo.rootwrap
Architecture: all
Depends:
 python3-pbr,
 python3-six (>= 1.10.0),
 sudo,
 ${misc:Depends},
 ${python3:Depends},
Description: allows fine filtering of shell commands to run as root - Python 3.x
 The Oslo Rootwrap allows fine filtering of shell commands to run as root from
 OpenStack services.
 .
 Unlike other Oslo deliverables, it should not be used as a Python library, but
 called as a separate process through the oslo-rootwrap command.
 .
 This package provides the Python 3.x module.

## python-oslo.rootwrap 6.0.0

=== debian/changelog ===
python-oslo.rootwrap (6.0.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 11 Mar 2020 16:02:12 -0400

python-oslo.rootwrap (5.17.1-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Mon, 03 Feb 2020 10:51:24 +0000

## python-oslo.rootwrap 6.0.2

=== doc/requirements.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 # These are needed for docs generation
-openstackdocstheme>=1.17.0 # Apache-2.0
-sphinx>=1.6.2 # BSD
+openstackdocstheme>=1.20.0 # Apache-2.0
+sphinx>=1.8.0,!=2.1.0 # BSD
 reno>=2.5.0 # Apache-2.0
 
 mock>=2.0.0 # BSD

=== debian/changelog ===
python-oslo.rootwrap (6.0.2-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Apr 2020 14:47:55 -0400

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  python3-all,
  python3-pbr,
  python3-setuptools,
- python3-sphinx (>= 1.6.2),
+ python3-sphinx (>= 1.8.0),
 Build-Depends-Indep:
  iproute2,
  python3-bandit (>= 1.1.0),
@@ -20,7 +20,7 @@
  python3-eventlet (>= 0.18.2),
  python3-fixtures (>= 3.0.0),
  python3-mock (>= 2.0.0),
- python3-openstackdocstheme (>= 1.18.1),
+ python3-openstackdocstheme (>= 1.20.0),
  python3-oslotest (>= 1:3.2.0),
  python3-reno (>= 2.5.0),
  python3-six (>= 1.10.0),

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/oslo.rootwrap.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	rm -rf .testrepository build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'oslo_rootwrap\.tests\.(?!(.*test_functional.*))'
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3
